
#if defined(__CLCC__) && defined(__STDC__)
#   pragma Warning_level(0)
#endif
#include <X11/Xlib.h>
#include <Mrm/MrmAppl.h>
#if defined(__CLCC__) && defined(__STDC__)
#   pragma Warning_level(4)
#endif

struct  CPC_NAME_STRUCT
{
    char *mnemonic;
    char *name;
    Widget  widgee;
} cids_CPC_table[]
= {
    { "00", "Unknown", (Widget)0 },

	{ "10", ".vue", (Widget)0 },
	{ "11", ".vue/palettes", (Widget)0 },
	{ "12", ".vue/sessions", (Widget)0 },
	{ "13", ".vue/sessions/current", (Widget)0 },
	{ "14", ".vue/sessions/current.font", (Widget)0 },
	{ "15", ".vue/types", (Widget)0 },
	{ "16", ".vue/types/tools", (Widget)0 },
	{ "17", "RCS", (Widget)0 },
	{ "18", "app-defaults", (Widget)0 },
	{ "19", "bin", (Widget)0 },
	{ "1a", "bitmap", (Widget)0 },
	{ "1b", "cots", (Widget)0 },
	{ "1c", "das", (Widget)0 },
	{ "1d", "data", (Widget)0 },
	{ "1e", "db_data", (Widget)0 },
	{ "1f", "db_data/bulk_load", (Widget)0 },
	{ "20", "db_data/cids.dbs", (Widget)0 },
	{ "21", "db_data/cids_schema", (Widget)0 },
	{ "22", "db_data/cids_trans_log", (Widget)0 },
	{ "23", "db_data/cmxtdt1t.dbs", (Widget)0 },
	{ "24", "db_data/dump", (Widget)0 },
	{ "25", "db_data/gbstcd1t.dbs", (Widget)0 },
	{ "26", "db_data/gbstdt01.dbs", (Widget)0 },
	{ "27", "db_data/help_db", (Widget)0 },
	{ "28", "db_data/misc_sql", (Widget)0 },
	{ "29", "db_data/rate_db", (Widget)0 },
	{ "2a", "db_data/schema_sql", (Widget)0 },
	{ "2b", "db_data/sys_sql", (Widget)0 },
	{ "2c", "db_data/unload_load", (Widget)0 },
	{ "2d", "db_data/unload_load/status_cd_fix", (Widget)0 },
	{ "2e", "docs", (Widget)0 },
	{ "2f", "env", (Widget)0 },
	{ "30", "inc_gen", (Widget)0 },
	{ "31", "include", (Widget)0 },
	{ "32", "installed", (Widget)0 },
	{ "33", "kit01", (Widget)0 },
	{ "34", "kit01/backups", (Widget)0 },
	{ "35", "kit01/cfp_ui", (Widget)0 },
	{ "36", "kit01/cfp_ui/cfp_ui", (Widget)0 },
	{ "37", "kit01/cfp_ui/cfp_ui/bin", (Widget)0 },
	{ "38", "kit01/cfp_ui/installed", (Widget)0 },
	{ "39", "kit01/cfp_ui/startup", (Widget)0 },
	{ "3a", "kit01/gte", (Widget)0 },
	{ "3b", "kit01/gte/app-defaults", (Widget)0 },
	{ "3c", "kit01/gte/cds_d", (Widget)0 },
	{ "3d", "kit01/gte/cds_d/bin", (Widget)0 },
	{ "3e", "kit01/gte/cds_d/data", (Widget)0 },
	{ "3f", "kit01/gte/cds_d/env", (Widget)0 },
	{ "40", "kit01/gte/cds_d/spool", (Widget)0 },
	{ "41", "kit01/gte/installed", (Widget)0 },
	{ "42", "kit01/gte/startup", (Widget)0 },
	{ "43", "kit01/gtecds_a", (Widget)0 },
	{ "44", "kit01/gtecds_a/app-defaults", (Widget)0 },
	{ "45", "kit01/gtecds_a/cds_a", (Widget)0 },
	{ "46", "kit01/gtecds_a/cds_a/bin", (Widget)0 },
	{ "47", "kit01/gtecds_a/cds_a/das", (Widget)0 },
	{ "48", "kit01/gtecds_a/cds_a/data", (Widget)0 },
	{ "49", "kit01/gtecds_a/cds_a/lib", (Widget)0 },
	{ "4a", "kit01/gtecds_a/installed", (Widget)0 },
	{ "4b", "kit01/gtecds_a/startup", (Widget)0 },
	{ "4c", "kit01/gtecds_a/startup/gteTomSvr", (Widget)0 },
	{ "4d", "kit01/gtecds_d", (Widget)0 },
	{ "4e", "kit01/gtecds_d/app-defaults", (Widget)0 },
	{ "4f", "kit01/gtecds_d/cds_d", (Widget)0 },
	{ "50", "kit01/gtecds_d/cds_d/bin", (Widget)0 },
	{ "51", "kit01/gtecds_d/cds_d/data", (Widget)0 },
	{ "52", "kit01/gtecds_d/cds_d/db_data", (Widget)0 },
	{ "53", "kit01/gtecds_d/cds_d/env", (Widget)0 },
	{ "54", "kit01/gtecds_d/cds_d/spool", (Widget)0 },
	{ "55", "kit01/gtecds_d/installed", (Widget)0 },
	{ "56", "kit01/gtecds_d/startup", (Widget)0 },
	{ "57", "kit01/gtecds_r", (Widget)0 },
	{ "58", "kit01/gtecds_r/cds_r", (Widget)0 },
	{ "59", "kit01/gtecds_r/cds_r/bin", (Widget)0 },
	{ "5a", "kit01/gtecds_r/cds_r/data", (Widget)0 },
	{ "5b", "kit01/gtecds_r/cds_r/lib", (Widget)0 },
	{ "5c", "kit01/gtecds_r/installed", (Widget)0 },
	{ "5d", "kit01/gtecds_r/startup", (Widget)0 },
	{ "5e", "kit01/gtecfp_a", (Widget)0 },
	{ "5f", "kit01/gtecfp_a/app-defaults", (Widget)0 },
	{ "60", "kit01/gtecfp_a/cfp_a", (Widget)0 },
	{ "61", "kit01/gtecfp_a/cfp_a/bin", (Widget)0 },
	{ "62", "kit01/gtecfp_a/cfp_a/das", (Widget)0 },
	{ "63", "kit01/gtecfp_a/installed", (Widget)0 },
	{ "64", "kit01/gtecfp_a/startup", (Widget)0 },
	{ "65", "kit01/gtecfp_a/startup/gteTomSvr", (Widget)0 },
	{ "66", "kit01/gtecfp_d", (Widget)0 },
	{ "67", "kit01/gtecfp_d/cfp_d", (Widget)0 },
	{ "68", "kit01/gtecfp_d/cfp_d/bin", (Widget)0 },
	{ "69", "kit01/gtecfp_d/cfp_d/data", (Widget)0 },
	{ "6a", "kit01/gtecfp_d/cfp_d/db_data", (Widget)0 },
	{ "6b", "kit01/gtecfp_d/cfp_d/db_data/forms", (Widget)0 },
	{ "6c", "kit01/gtecfp_d/cfp_d/db_data/reports", (Widget)0 },
	{ "6d", "kit01/gtecfp_d/cfp_d/env", (Widget)0 },
	{ "6e", "kit01/gtecfp_d/cfp_d/informix", (Widget)0 },
	{ "6f", "kit01/gtecfp_d/cfp_d/spool", (Widget)0 },
	{ "70", "kit01/gtecfp_d/installed", (Widget)0 },
	{ "71", "kit01/gtecfp_d/startup", (Widget)0 },
	{ "72", "kit01/gtecnl_d", (Widget)0 },
	{ "73", "kit01/gtecnl_d/cnl_d", (Widget)0 },
	{ "74", "kit01/gtecnl_d/cnl_d/bin", (Widget)0 },
	{ "75", "kit01/gtecnl_d/cnl_d/data", (Widget)0 },
	{ "76", "kit01/gtecnl_d/cnl_d/lib", (Widget)0 },
	{ "77", "kit01/gtecnl_d/installed", (Widget)0 },
	{ "78", "kit01/gtecnl_d/startup", (Widget)0 },
	{ "79", "kit01/gteils_d", (Widget)0 },
	{ "7a", "kit01/gteils_d/app-defaults", (Widget)0 },
	{ "7b", "kit01/gteils_d/ils_d", (Widget)0 },
	{ "7c", "kit01/gteils_d/ils_d/bin", (Widget)0 },
	{ "7d", "kit01/gteils_d/ils_d/data", (Widget)0 },
	{ "7e", "kit01/gteils_d/ils_d/env", (Widget)0 },
	{ "7f", "kit01/gteils_d/ils_d/lib", (Widget)0 },
	{ "80", "kit01/gteils_d/ils_d/spool", (Widget)0 },
	{ "81", "kit01/gteils_d/installed", (Widget)0 },
	{ "82", "kit01/gteils_d/startup", (Widget)0 },
	{ "83", "kit01/ils_d", (Widget)0 },
	{ "84", "kit01/ils_d/ils_d", (Widget)0 },
	{ "85", "kit01/ils_d/ils_d/bin", (Widget)0 },
	{ "86", "kit01/ils_d/ils_d/env", (Widget)0 },
	{ "87", "kit01/ils_d/installed", (Widget)0 },
	{ "88", "kit01/ils_d/startup", (Widget)0 },
	{ "89", "kit01/ils_ui1", (Widget)0 },
	{ "8a", "kit01/ils_ui1/app-defaults", (Widget)0 },
	{ "8b", "kit01/ils_ui1/ils_ui1", (Widget)0 },
	{ "8c", "kit01/ils_ui1/ils_ui1/bin", (Widget)0 },
	{ "8d", "kit01/ils_ui1/ils_ui1/data", (Widget)0 },
	{ "8e", "kit01/ils_ui1/installed", (Widget)0 },
	{ "8f", "kit01/ils_ui1/startup", (Widget)0 },
	{ "90", "kit01/ils_ui2", (Widget)0 },
	{ "91", "kit01/ils_ui2/app-defaults", (Widget)0 },
	{ "92", "kit01/ils_ui2/ils_ui2", (Widget)0 },
	{ "93", "kit01/ils_ui2/ils_ui2/bin", (Widget)0 },
	{ "94", "kit01/ils_ui2/ils_ui2/data", (Widget)0 },
	{ "95", "kit01/ils_ui2/installed", (Widget)0 },
	{ "96", "kit01/ils_ui2/startup", (Widget)0 },
	{ "97", "lib", (Widget)0 },
	{ "98", "make", (Widget)0 },
	{ "99", "reccon", (Widget)0 },
	{ "9a", "reccon/CFP_SCCS", (Widget)0 },
	{ "9b", "reccon/SCCS", (Widget)0 },
	{ "9c", "reccon/admin_hmi", (Widget)0 },
	{ "9d", "reccon/admin_hmi/inc", (Widget)0 },
	{ "9e", "reccon/admin_hmi/src", (Widget)0 },
	{ "9f", "reccon/baseline", (Widget)0 },
	{ "a0", "reccon/bin", (Widget)0 },
	{ "a1", "reccon/common", (Widget)0 },
	{ "a2", "reccon/common/inc", (Widget)0 },
	{ "a3", "reccon/common/src", (Widget)0 },
	{ "a4", "reccon/data", (Widget)0 },
	{ "a5", "reccon/db_bkup", (Widget)0 },
	{ "a6", "reccon/db_bkup/dbschema", (Widget)0 },
	{ "a7", "reccon/db_data", (Widget)0 },
	{ "a8", "reccon/env", (Widget)0 },
	{ "a9", "reccon/inc_gen", (Widget)0 },
	{ "aa", "reccon/installed", (Widget)0 },
	{ "ab", "reccon/letter_create", (Widget)0 },
	{ "ac", "reccon/letter_create/inc", (Widget)0 },
	{ "ad", "reccon/letter_create/src", (Widget)0 },
	{ "ae", "reccon/mods", (Widget)0 },
	{ "af", "reccon/parse_rec", (Widget)0 },
	{ "b0", "reccon/parse_rec/inc", (Widget)0 },
	{ "b1", "reccon/parse_rec/src", (Widget)0 },
	{ "b2", "reccon/prod_user", (Widget)0 },
	{ "b3", "reccon/prod_user/inc", (Widget)0 },
	{ "b4", "reccon/prod_user/src", (Widget)0 },
	{ "b5", "reccon/skel", (Widget)0 },
	{ "b6", "reccon/skel/inc", (Widget)0 },
	{ "b7", "reccon/skel/src", (Widget)0 },
	{ "b8", "reccon/spool", (Widget)0 },
	{ "b9", "reccon/startup", (Widget)0 },
	{ "ba", "sloc_count", (Widget)0 },
	{ "bb", "source", (Widget)0 },
	{ "bc", "source/admin_mgr", (Widget)0 },
	{ "bd", "source/admin_user", (Widget)0 },
	{ "be", "source/cds_flir_dm", (Widget)0 },
	{ "bf", "source/cds_qry_dm", (Widget)0 },
	{ "c0", "source/cids_nav", (Widget)0 },
	{ "c1", "source/cids_request", (Widget)0 },
	{ "c2", "source/cnl_letter_ctl", (Widget)0 },
	{ "c3", "source/common", (Widget)0 },
	{ "c4", "source/db_cnl", (Widget)0 },
	{ "c5", "source/db_common", (Widget)0 },
	{ "c6", "source/db_form_ltr", (Widget)0 },
	{ "c7", "source/db_proc", (Widget)0 },
	{ "c8", "source/db_ui", (Widget)0 },
	{ "c9", "source/env", (Widget)0 },
	{ "ca", "source/form_letter_ctl", (Widget)0 },
	{ "cb", "source/gte_msg_lib", (Widget)0 },
	{ "cc", "source/msg", (Widget)0 },
	{ "cd", "source/off_hours", (Widget)0 },
	{ "ce", "source/parser", (Widget)0 },
	{ "cf", "source/printer_ctl", (Widget)0 },
	{ "d0", "source/production_user", (Widget)0 },
	{ "d1", "source/rec_defs", (Widget)0 },
	{ "d2", "source/shutdown_cids", (Widget)0 },
	{ "d3", "source/watcher_ctl", (Widget)0 },
	{ "d4", "spool", (Widget)0 },
	{ "d5", "startup", (Widget)0 },
	{ "d6", "startup/gteTomSvr", (Widget)0 },
	{ "d7", "sys", (Widget)0 },
	{ (char *)0, (char *)0, (Widget)0 }
};



struct  VENDOR_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} cids_vendor_table[]
= {
	{ "Unknown", (Widget)0 },

	{ "General COTS/Vender Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };



struct DOCUMENT_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} cids_document_table[]
= {
    { "Unknown", (Widget)0 },

	{ "Desktop Project Plan", (Widget)0 },
	{ "Desktop Software Development Plan", (Widget)0 },
	{ "Desktop Hardware Plan", (Widget)0 },
	{ "Desktop Site Plan", (Widget)0 },
	{ "Desktop Installation Plan", (Widget)0 },
	{ "Desktop Contingency Plan", (Widget)0 },
	{ "Desktop Application Performance Plan", (Widget)0 },
	{ "Desktop Data and Process Security Plan", (Widget)0 },
	{ "Desktop Change Management Plan", (Widget)0 },
	{ "Desktop Training Plan", (Widget)0 },
	{ "Desktop Production Support Plan", (Widget)0 },
	{ "Desktop Linkage Test Plan", (Widget)0 },
	{ "Desktop Combined Test Plan", (Widget)0 },
	{ "Desktop System Documentation", (Widget)0 },
	{ "Desktop System Administration Manual", (Widget)0 },
	{ "Desktop Software Maintenance Manual", (Widget)0 },
	{ "Desktop User Documentation", (Widget)0 },
	{ "Desktop Release Documentation", (Widget)0 },
	{ "Desktop Linkage Test Results", (Widget)0 },
	{ "CFP Linkage Test Plan", (Widget)0 },
	{ "CFP Combined Test Plan", (Widget)0 },
	{ "CFP System Documentation", (Widget)0 },
	{ "CFP User Documentation", (Widget)0 },
	{ "CFP Release Documentation", (Widget)0 },
	{ "CFP Linkage Test Result", (Widget)0 },
	{ "SORCES CNL Linkage Test Plan", (Widget)0 },
	{ "SORCES CNL System Documentation", (Widget)0 },
	{ "SORCES CNL System Adminstration Manual", (Widget)0 },
	{ "SORCES CNL Software Maintenance Manual", (Widget)0 },
	{ "SORCES CNL Release Documentation", (Widget)0 },
	{ "SORCES CNL Linkage Test Results", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };



struct HARDWARE_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} cids_hardware_table[]
= {
    { "Unknown", (Widget)0 },

	{ "General Hardware Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };


