#ifndef	lint
static char sccsid[] = "@(#)firstword.c	1.4 3/29/94 SyddWare";
#endif
/*****************************************************************************
* Classification:  Unclassified
*
* Project:         SyddWare
*
* Module Name:     firstword.c
*
* Description:     
*
* Arguments:       
*
* Returns:         
*
* Revision History
*   DATE    S/W ENGINEER  DESCRIPTION OF WORK
* --------  ------------  ---------------------------------------------------
*
******************************************************************************/
/*#  Purpose:  Returns a value equal to the position of the firstword of    #*/
/*#     string src if string find is the first word in src, otherwise -1 is #*/
/*#     returned. E.G: stat = firstword("   hello sailor","hello");         #*/
/*#     returns 3 and  stat = firstword("eat at joes","joes"); returns -1.  #*/
/*#     The program skips over leading whitespace only in string s.         #*/
/*#                                                                         #*/
/*#  Calling Sequence:  stat = firstword(src,find);                         #*/
/*#                                                                         #*/
/*#  Arguments:                                                             #*/
/*#  Name             Type     I/O  Description                             #*/
/*#  ---------------  -------  ---  --------------------------------------  #*/
/*#  stat             int       O   Pos in src of beginning of find (rel to #*/
/*#                                  0 offset) if find is the first word in #*/
/*#                                  src (after leading whitespace) other-  #*/
/*#                                  wise -1                                #*/
/*#  src              char *    I   Sentence in which firstword check is    #*/
/*#                                  sought                                 #*/
/*#  find             char *    I   Word (or string) which is compared to   #*/
/*#                                  the first non whitespace string in src #*/
/*#                                                                         #*/
#include	"generi_.h"
int    firstword(src,find)
   char    src[],find[];

{
   int     icnt,jcnt,kcnt;

   for (icnt = 0; src[icnt] != '\0' && 
       (src[icnt] == ' ' || src[icnt] == 9); ++icnt);
   for (jcnt = icnt, kcnt = 0; 
       find[kcnt] != '\0' && src[jcnt] == find[kcnt]; ++jcnt, ++kcnt);
   if (find[kcnt] == '\0')
       return(icnt);
   else
       return(-1);
}
