
#if defined(__CLCC__) && defined(__STDC__)
#   pragma Warning_level(0)
#endif
#include <X11/Xlib.h>
#include <Mrm/MrmAppl.h>
#if defined(__CLCC__) && defined(__STDC__)
#   pragma Warning_level(4)
#endif

struct  CPC_NAME_STRUCT
{
    char *mnemonic;
    char *name;
    Widget  widgee;
} reccon_CPC_table[]
= {
    { "00", "Unknown", (Widget)0 },

	{ "10", "admin_hmi", (Widget)0 },
	{ "11", "admin_hmi/inc", (Widget)0 },
	{ "12", "admin_hmi/src", (Widget)0 },
	{ "13", "bin", (Widget)0 },
	{ "14", "common", (Widget)0 },
	{ "15", "common/inc", (Widget)0 },
	{ "16", "common/src", (Widget)0 },
	{ "17", "correspondence", (Widget)0 },
	{ "18", "cots", (Widget)0 },
	{ "19", "data", (Widget)0 },
	{ "20", "db_bkup", (Widget)0 },
	{ "21", "db_bkup/dbschema", (Widget)0 },
	{ "22", "db_bkup/unl_files", (Widget)0 },
	{ "23", "db_data", (Widget)0 },
	{ "24", "db_data/bulk_load", (Widget)0 },
	{ "25", "db_data/forms", (Widget)0 },
	{ "26", "db_data/misc_sql", (Widget)0 },
	{ "27", "db_data/reccon.exp", (Widget)0 },
	{ "28", "db_data/reports", (Widget)0 },
	{ "29", "env", (Widget)0 },
	{ "30", "kit01", (Widget)0 },
	{ "31", "kit01/cnl", (Widget)0 },
	{ "32", "kit01/cnl/cnl", (Widget)0 },
	{ "33", "kit01/cnl/cnl/bin", (Widget)0 },
	{ "34", "kit01/cnl/cnl/env", (Widget)0 },
	{ "35", "kit01/cnl/cnl/lib", (Widget)0 },
	{ "36", "kit01/cnl/cnl/spool", (Widget)0 },
	{ "37", "kit01/cnl/installed", (Widget)0 },
	{ "38", "kit01/cnl/startup", (Widget)0 },
	{ "39", "kit01/cnl_d", (Widget)0 },
	{ "40", "kit01/cnl_d/cnl_d", (Widget)0 },
	{ "41", "kit01/cnl_d/cnl_d/bin", (Widget)0 },
	{ "42", "kit01/cnl_d/cnl_d/data", (Widget)0 },
	{ "43", "kit01/cnl_d/cnl_d/db_data", (Widget)0 },
	{ "44", "kit01/cnl_d/cnl_d/db_data/forms", (Widget)0 },
	{ "45", "kit01/cnl_d/cnl_d/db_data/reports", (Widget)0 },
	{ "46", "kit01/cnl_d/cnl_d/env", (Widget)0 },
	{ "47", "kit01/cnl_d/cnl_d/spool", (Widget)0 },
	{ "48", "kit01/cnl_d/db_schema", (Widget)0 },
	{ "49", "kit01/cnl_d/installed", (Widget)0 },
	{ "50", "kit01/cnl_d/startup", (Widget)0 },
	{ "51", "kit01/cnl_ui", (Widget)0 },
	{ "52", "kit01/cnl_ui/cnl_ui", (Widget)0 },
	{ "53", "kit01/cnl_ui/cnl_ui/bin", (Widget)0 },
	{ "54", "kit01/cnl_ui/installed", (Widget)0 },
	{ "55", "kit01/cnl_ui/startup", (Widget)0 },
	{ "56", "kit01/gte", (Widget)0 },
	{ "57", "kit01/gte/cnl", (Widget)0 },
	{ "58", "kit01/gte/cnl/bin", (Widget)0 },
	{ "59", "kit01/gte/cnl/env", (Widget)0 },
	{ "60", "kit01/gte/cnl/lib", (Widget)0 },
	{ "61", "kit01/gte/cnl/spool", (Widget)0 },
	{ "62", "kit01/gte/installed", (Widget)0 },
	{ "63", "kit01/gte/startup", (Widget)0 },
	{ "64", "letter_create", (Widget)0 },
	{ "65", "letter_create/inc", (Widget)0 },
	{ "66", "letter_create/src", (Widget)0 },
	{ "67", "lib", (Widget)0 },
	{ "68", "make", (Widget)0 },
	{ "69", "parse_rec", (Widget)0 },
	{ "70", "parse_rec/inc", (Widget)0 },
	{ "71", "parse_rec/src", (Widget)0 },
	{ "72", "prod_user", (Widget)0 },
	{ "73", "prod_user/inc", (Widget)0 },
	{ "74", "prod_user/src", (Widget)0 },
	{ "75", "reccon2.exp", (Widget)0 },
	{ "76", "skel", (Widget)0 },
	{ "77", "skel/inc", (Widget)0 },
	{ "78", "skel/src", (Widget)0 },
	{ "79", "sloc_count", (Widget)0 },
	{ "80", "spool", (Widget)0 },
	{ "81", "sys", (Widget)0 },
	{ (char *)0, (char *)0, (Widget)0 }
};



struct  VENDOR_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} reccon_vendor_table[]
= {
	{ "Unknown", (Widget)0 },

	{ "General COTS/Vender Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };



struct DOCUMENT_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} reccon_document_table[]
= {
    { "Unknown", (Widget)0 },

	{ "General Documentation Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };



struct HARDWARE_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} reccon_hardware_table[]
= {
    { "Unknown", (Widget)0 },

	{ "General Hardware Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };


