#ifndef	lint
static char sccsid[] = "$Id: create_callback.c,v 1.4 1995/05/16 00:27:46 sydd Exp $ SyddWare";
#endif
/*****************************************************************************
* Classification:    Unclassified
*
* Project:           SDRTOOL
*
* Module Name:       create_callback.c
*
* Description:
*   
*
* Calling Sequence:
*   
*
*   Inputs:
*       None
*
*   Outputs:
*       None
*
*   Returns:
*       None
*
* Error Conditions and Actions:
*   N/A
*
* Side Effects:
*   N/A
*
* Limitations:
*   N/A
*
* Notes:
*   N/A
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
*
******************************************************************************/
#include "sdr_.h"	/* for this prototype */
#include "sdr_g.h"	/* for globals */

extern	Widget	Shell000;

void
create_callback(w, which_one, call)
	Widget w;
	int *which_one;
	XmAnyCallbackStruct *call;
{
	Pixmap	pixmap;
	int	 table_index;
	char username[256];

	get_username(username);

	/*
	**	Any additional initialization should be done here.
	*/
	switch (*which_one)
	{
		case k_hourstextField:
			Widget_list[*which_one] = w;
			XtVaSetValues(w,
				XmNuserData, -1,
				NULL);
			break;

		case k_assignedtextField:
		case k_originatortextField:
		case k_co_assigneetextField:
			Widget_list[*which_one] = w;
			if (strcmp(username,SdrTool.cmaccountname))
				XtVaSetValues(w, XmNeditable, False, NULL);
			else
				XtVaSetValues(w, XmNeditable, True, NULL);
			break;

		case k_sunknownpushButton:
			/* all options in OptionMenu pass same tag value */
		    XtVaGetValues( w, XmNuserData, &table_index, NULL);
        	CPC_table[table_index].widgee = w;
			break;

		case k_dunknownpushButton:
			/* all options in OptionMenu pass same tag value */
		    XtVaGetValues( w, XmNuserData, &table_index, NULL);
        	document_table[table_index].widgee = w;
			break;

		case k_hunknownpushButton:
			/* all options in OptionMenu pass same tag value */
		    XtVaGetValues( w, XmNuserData, &table_index, NULL);
        	hardware_table[table_index].widgee = w;
			break;

		case k_vunknownpushButton:
			/* all options in OptionMenu pass same tag value */
		    XtVaGetValues( w, XmNuserData, &table_index, NULL);
        	vendor_table[table_index].widgee = w;
			break;

		case k_icondrawnButton:
			XtVaGetValues(w, XmNlabelPixmap, &pixmap, NULL);
			XtVaSetValues(Shell000, XmNiconPixmap, pixmap, NULL);
			break;

		default:
			Widget_list[*which_one] = w;
			break;
	}
	return;
}
