#*****************************************************************************
#* @(#)makefile_additions.sed	1.1 6/18/94 SyddWare
#*
#* Project:          SDRTool
#*
#* SedFile Name:     makefile_additions.sed
#*
#* Description:
#*   Adds some extras to the makefile for the sdrtool created by mkmk
#*
#* Notes:
#*   N/A
#*
#* Revision History
#*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
#* --------  ---------------  ------------------------------------------------
#* 06/18/94  J.R.(Sydd)Souza  Created
#******************************************************************************
s@\$(COMMONPATH)/bin@$(COMMONPATH)/bin/tools@g
s@\$(COMMONPATH)/bin/tools/UID@$(COMMONPATH)/bin/UID@g
s@^ \$(LOCALPATH)/sdr.uil \\$@ $(LOCALPATH)/sdr.uil@
/^ \$(LOCALPATH)\/sdrtables.uil \\$/d
/^ \$(LOCALPATH)\/sdrtags.uil$/d
/^ \$(LOCALPATH)\/gsdrtool_include_keys.c \\$/d
/multi_install/a\
\	-@ln -s $(COMMONPATH)/bin/tools/$(TARGET) /usr/local/bin/$(TARGET)\
\	-@ln -s $(COMMONPATH)/bin/tools/$(SOURCES.uid) /usr/local/bin/$(SOURCES.uid)\
\
$(LOCALPATH)/sdrtags.h: $(LOCALPATH)/sdrtags.def\
\	-@/bin/rm -f $(LOCALPATH)/sdrtags.h >/dev/null 2>&1\
\	mktags -c $(LOCALPATH)/sdrtags.def $(LOCALPATH)/sdrtags.h\
\
$(LOCALPATH)/sdrtags.uil: $(LOCALPATH)/sdrtags.def\
\	-@/bin/rm -f $(LOCALPATH)/sdrtags.uil >/dev/null 2>&1\
\	mktags -u $(LOCALPATH)/sdrtags.def $(LOCALPATH)/sdrtags.uil\
\
$(LOCALPATH)/sdr.uid: \\\
\ $(LOCALPATH)/sdr.uil \\\
\ $(LOCALPATH)/sdrtags.uil \\\
\ $(LOCALPATH)/sdrtables.uil\
\
$(LOCALPATH)/sdrtables.c: $(LOCALPATH)/mkchoices\
\	$(LOCALPATH)/mkchoices $(LOCALPATH)/sdrtables.uil $(LOCALPATH)/sdrtables.c\
\
$(LOCALPATH)/sdrtables.uil: $(LOCALPATH)/mkchoices\
\	$(LOCALPATH)/mkchoices $(LOCALPATH)/sdrtables.uil $(LOCALPATH)/sdrtables.c\

