#ifndef	lint
static char sccsid[] = "$Id: get_current_record.c,v 1.1 1995/01/24 05:16:42 sydd Exp $ SyddWare";
#endif
/*****************************************************************************
* Classification:    Unclassified
*
* Project:           SDRTOOL
*
* Module Name:       get_current_record.c
*
* Description:
*   
*
* Calling Sequence:
*   
*
*   Inputs:
*       None
*
*   Outputs:
*       None
*
*   Returns:
*       None
*
* Error Conditions and Actions:
*   N/A
*
* Side Effects:
*   N/A
*
* Limitations:
*   N/A
*
* Notes:
*   N/A
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
*
******************************************************************************/
#include "sdr_.h"

/*
**	Returns FALSE if it found a record & filled sdr struct from database,
**	otherwise TRUE with errno set to something appropriate to the error.
*/
BOOLEAN	get_current_record(sdr)
	SDR_T *sdr;	/* will reset id[0] to nulls if nf */
{
/* 
*** Variable Declarations 
*/
    SDR_T			            discrep_record;
	int							status = 0;
	char 					   *id;

	/*
	**	id passed will either be in id[0] if normalized, or id[1]
	*/
	if (!emptyline(sdr->id[0]))
	{
		id = sdr->id[0];
	}
	else if (emptyline(sdr->id[0]) && !emptyline(sdr->id[1]))
	{
		id = sdr->id[1];
	}
	else
	{
		sdr->id[0][0] = '\0';
		return TRUE;
	}


	/* put the id (either normal or assigned) into the id[0] element */
    strcpy(discrep_record.id[0], id);         
	status = get_discrep_rec( &discrep_record );
	if (status)
	{
		/* put the retrieved data in SDR record */
		sdr->id[0][0] = '\0';
    	sdr->id[1][0] = '\0';
	}
	else 
	{
		/* put the retrieved data in SDR record */
#ifdef	__STDC__
		*sdr = discrep_record;
#else
		memcpy(sdr, &discrep_record, sizeof(SDR_T));
#endif	/* __STDC__ */
	}

	return FALSE;
}
