#ifndef lint
static char sccsid[] = "$Id: is_a_user.c,v 1.2 1995/04/30 22:22:00 sydd Exp $ SyddWare";
#endif

#include "sdr_.h"

#define	DELIMITERS	" \t,"

BOOLEAN	is_a_user(user,list)
	char	*user;
	char	*list;
{
	char	*ourcopy = (char *)0;
	char	*tokenlist = (char *)0;
	BOOLEAN	foundit = FALSE;

	if (user && list &&
		!emptyline(list) &&
		(ourcopy = strdup(list)))
	{
		tokenlist = strtok(ourcopy,DELIMITERS);
		while (tokenlist && !foundit)
		{
			if (!strcmp(tokenlist,user))
				foundit = TRUE;
			else
				tokenlist = strtok(NULL,DELIMITERS);
		}
		free(ourcopy);
	}
	else if (!user || !list || emptyline(list))
		errno = EINVAL;
	return foundit;
}
#ifdef	TEST_IT_STANDALONE
main()
{
	static char	user[] = "sydd";
	static char	user1[] = "sydd@batman.rock.gtegsc.com";
	static char	list[] = "sydd@batman.rock.gtegsc.com,bob, dan	,rock";
	static char	list1[] = "sydd,bob, dan	,rock";

	printf("%s is%s in %s\n",
		user, is_a_user(user,list)?"":" NOT", list);
	printf("%s is%s in %s\n",
		user, is_a_user(user,list1)?"":" NOT", list1);
	printf("%s is%s in %s\n",
		user1, is_a_user(user1,list)?"":" NOT", list);
	printf("%s is%s in %s\n",
		user1, is_a_user(user1,list1)?"":" NOT", list1);
}
#endif	/* TEST_IT_STANDALONE */
