
#if defined(__CLCC__) && defined(__STDC__)
#   pragma Warning_level(0)
#endif
#include <X11/Xlib.h>
#include <Mrm/MrmAppl.h>
#if defined(__CLCC__) && defined(__STDC__)
#   pragma Warning_level(4)
#endif

struct  CPC_NAME_STRUCT
{
    char *mnemonic;
    char *name;
    Widget  widgee;
} abf_CPC_table[]
= {
    { "00", "Unknown", (Widget)0 },

	{ "10", ".lrom", (Widget)0 },
	{ "11", ".vue", (Widget)0 },
	{ "12", ".vue/Desktop", (Widget)0 },
	{ "13", ".vue/apps", (Widget)0 },
	{ "14", ".vue/palettes", (Widget)0 },
	{ "15", ".vue/sessions", (Widget)0 },
	{ "16", ".vue/sessions/current", (Widget)0 },
	{ "17", ".vue/types", (Widget)0 },
	{ "18", ".vue/types/tools", (Widget)0 },
	{ "19", "abf.exp", (Widget)0 },
	{ "20", "admin_mgr", (Widget)0 },
	{ "21", "admin_mgr/inc", (Widget)0 },
	{ "22", "admin_mgr/src", (Widget)0 },
	{ "23", "admin_user", (Widget)0 },
	{ "24", "admin_user/hmi", (Widget)0 },
	{ "25", "admin_user/inc", (Widget)0 },
	{ "26", "admin_user/src", (Widget)0 },
	{ "27", "bin", (Widget)0 },
	{ "28", "common", (Widget)0 },
	{ "29", "common/inc", (Widget)0 },
	{ "30", "common/src", (Widget)0 },
	{ "31", "correspondence", (Widget)0 },
	{ "32", "cots", (Widget)0 },
	{ "33", "db_data", (Widget)0 },
	{ "34", "db_data/abf.dbs", (Widget)0 },
	{ "35", "db_data/abf_reports", (Widget)0 },
	{ "36", "db_data/abf_trans_log", (Widget)0 },
	{ "37", "db_data/bulk_load", (Widget)0 },
	{ "38", "db_data/bulk_load_for_test", (Widget)0 },
	{ "39", "db_data/forms", (Widget)0 },
	{ "40", "db_data/misc_sql", (Widget)0 },
	{ "41", "db_data/reports", (Widget)0 },
	{ "42", "db_data/sys_sql", (Widget)0 },
	{ "43", "db_proc", (Widget)0 },
	{ "44", "db_proc/inc", (Widget)0 },
	{ "45", "db_proc/src", (Widget)0 },
	{ "46", "doc", (Widget)0 },
	{ "47", "env", (Widget)0 },
	{ "48", "kit01", (Widget)0 },
	{ "49", "kit01/abf_dkit", (Widget)0 },
	{ "50", "kit01/abf_dkit/abf_d", (Widget)0 },
	{ "51", "kit01/abf_dkit/abf_d/bin", (Widget)0 },
	{ "52", "kit01/abf_dkit/abf_d/env", (Widget)0 },
	{ "53", "kit01/abf_dkit/abf_d/informix", (Widget)0 },
	{ "54", "kit01/abf_dkit/abf_d/lib", (Widget)0 },
	{ "55", "kit01/abf_dkit/abf_d/spool", (Widget)0 },
	{ "56", "kit01/abf_dkit/installed", (Widget)0 },
	{ "57", "kit01/abf_dkit/startup", (Widget)0 },
	{ "58", "kit01/abf_ui1kit", (Widget)0 },
	{ "59", "kit01/abf_ui1kit/abf_ui1", (Widget)0 },
	{ "60", "kit01/abf_ui1kit/abf_ui1/bin", (Widget)0 },
	{ "61", "kit01/abf_ui1kit/installed", (Widget)0 },
	{ "62", "kit01/abf_ui1kit/startup", (Widget)0 },
	{ "63", "kit01/abf_ui2kit", (Widget)0 },
	{ "64", "kit01/abf_ui2kit/abf_ui2", (Widget)0 },
	{ "65", "kit01/abf_ui2kit/abf_ui2/bin", (Widget)0 },
	{ "66", "kit01/abf_ui2kit/installed", (Widget)0 },
	{ "67", "kit01/abf_ui2kit/startup", (Widget)0 },
	{ "68", "letter_ctl", (Widget)0 },
	{ "69", "letter_ctl/inc", (Widget)0 },
	{ "70", "letter_ctl/src", (Widget)0 },
	{ "71", "lib", (Widget)0 },
	{ "72", "make", (Widget)0 },
	{ "73", "parser", (Widget)0 },
	{ "74", "parser/inc", (Widget)0 },
	{ "75", "parser/src", (Widget)0 },
	{ "76", "printer_ctl", (Widget)0 },
	{ "77", "printer_ctl/inc", (Widget)0 },
	{ "78", "printer_ctl/src", (Widget)0 },
	{ "79", "production_user", (Widget)0 },
	{ "80", "production_user/hmi", (Widget)0 },
	{ "81", "production_user/inc", (Widget)0 },
	{ "82", "production_user/src", (Widget)0 },
	{ "83", "skel", (Widget)0 },
	{ "84", "skel/inc", (Widget)0 },
	{ "85", "skel/src", (Widget)0 },
	{ "86", "spool", (Widget)0 },
	{ "87", "sys", (Widget)0 },
	{ "88", "system_user", (Widget)0 },
	{ "89", "system_user/hmi", (Widget)0 },
	{ "90", "system_user/inc", (Widget)0 },
	{ "91", "system_user/src", (Widget)0 },
	{ "92", "watcher_ctl", (Widget)0 },
	{ "93", "watcher_ctl/inc", (Widget)0 },
	{ "94", "watcher_ctl/src", (Widget)0 },
	{ (char *)0, (char *)0, (Widget)0 }
};



struct  VENDOR_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} abf_vendor_table[]
= {
	{ "Unknown", (Widget)0 },

	{ "General COTS/Vender Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };



struct DOCUMENT_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} abf_document_table[]
= {
    { "Unknown", (Widget)0 },

	{ "General Documentation Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };



struct HARDWARE_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} abf_hardware_table[]
= {
    { "Unknown", (Widget)0 },

	{ "General Hardware Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };


