#define	MAIN_PROGRAM
#include "sdr_.h"

main (argc, argv)
	int		argc;
	char	*argv[];
{
	int	status = 0;
	SDR_T	sdr;

	SdrTool.sdrpath = "/cm/cids/sdr";
	SdrTool.sdridfile = ".assign";
	SdrTool.sdrsqlcmd = "dbaccess";
	SdrTool.cmaccountname = "souza";
	SdrTool.ccbmembers = "souza";

	strcpy(sdr.id[0],"N00000");
	strcpy(sdr.id[1],"N00000");
	strcpy(sdr.title,"This is a Test Title");
	sdr.status = 1;
	sdr.priority = 3;
	strcpy(sdr.originated,"1994-04-01 12:00");
	strcpy(sdr.transition,"1994-04-01 12:00");
	strcpy(sdr.originator,"souza");
	sdr.assigned[0] = '\0';
	strcpy(sdr.trouble_area,"You Figure It Out");
	sdr.assigned_to[0] = '\0';
	sdr.due[0] = '\0';
	sdr.closed[0] = '\0';
	strcpy(sdr.cpc_mnemonic,"UK");
	strcpy(sdr.thread,"Another Guess");
	sdr.hours = 0;

	printsdr(&sdr,stdout);

	printf("\
%s: First test: Insert a new record\n\
 - this should work (status 0)\n", argv[0]);
	status = insert_discrep_rec(&sdr);
	printf("%s: insert_discrep_rec() status = %d\n",argv[0],status);

	memset(&sdr,0,sizeof(sdr));
	strcpy(sdr.id[0],"N00000");
	strcpy(sdr.id[1],"N00000");
	printf("\
%s: Second test: get record just inserted\n\
 - this should work (status 0)\n", argv[0]);
	status = get_discrep_rec(&sdr);
	printf("%s: get_discrep_rec() status = %d\n",argv[0],status);

	printsdr(&sdr,stdout);

	strcpy(sdr.id[0],"N00000");
	strcpy(sdr.id[1],"N00000");
	strcpy(sdr.title,"This is a Test Title");
	sdr.status = 1;
	sdr.priority = 3;
	strcpy(sdr.originated,"1994-04-01 12:00");
	strcpy(sdr.transition,"1994-04-01 12:00");
	strcpy(sdr.originator,"souza");
	sdr.assigned[0] = '\0';
	strcpy(sdr.trouble_area,"You Figure It Out");
	sdr.assigned_to[0] = '\0';
	sdr.due[0] = '\0';
	sdr.closed[0] = '\0';
	strcpy(sdr.cpc_mnemonic,"UK");
	strcpy(sdr.thread,"Another Guess");
	sdr.hours = 0;
	printf("\
%s: Third test: Insert same record\n\
 - this should NOT work (status !0)\n", argv[0]);
	status = insert_discrep_rec(&sdr);
	printf("%s: insert_discrep_rec() status = %d\n",argv[0],status);

	sdr.hours = 100;	/* 100 hundredths of an hour = 1.00 hours */
	printf("\
%s: Fourth test: Update record (Time To Complete changed to 100)\n\
 - this should work (status 0)\n", argv[0]);
	status = update_discrep_rec(&sdr);
	printf("%s: update_discrep_rec() status = %d\n",argv[0],status);

	memset(&sdr,0,sizeof(sdr));
	strcpy(sdr.id[0],"N00000");
	strcpy(sdr.id[1],"N00000");
	printf("\
%s: Fifth test: get record (Time To Complete changed to 100)\n\
 - this should work (status 0)\n", argv[0]);
	status = get_discrep_rec(&sdr);
	printf("%s: get_discrep_rec() status = %d\n",argv[0],status);

	printsdr(&sdr,stdout);

	exit(0);
}
