#ifndef	lint
static char sccsid[] = "$Id: destroy_main.c,v 1.1 1995/01/24 05:16:42 sydd Exp $ SyddWare";
#endif
/*****************************************************************************
* Classification:    Unclassified
*
* Project:           SDRTOOL
*
* Module Name:       destroy_main.c
*
* Description:
*   
*
* Calling Sequence:
*   
*
*   Inputs:
*       None
*
*   Outputs:
*       None
*
*   Returns:
*       None
*
* Error Conditions and Actions:
*   N/A
*
* Side Effects:
*   N/A
*
* Limitations:
*   N/A
*
* Notes:
*   N/A
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
*
******************************************************************************/
 
#include "sdr_.h"	/* for this routine's prototype */
#include "sdr_g.h"	/* for Process_table */

void
destroy_main(w, which_one, call)
	Widget w;
	int *which_one;
	XmAnyCallbackStruct *call;
{
	BOOLEAN	keep_waiting = TRUE;
	BOOLEAN	pinged = FALSE;
	int		icnt;
	int		key;
	char	system_command[256];
	/*
	**	Any additional termination should be done here.
	**	This should be things like checking the editor process table
	**	for running processes an possibly warning or even aborting.
	*/
	while (keep_waiting)
	{
		keep_waiting = FALSE;	/* assume they're all gone */
		for (icnt=0;Process_table[icnt].extension;++icnt)
			if (Process_table[icnt].pid != -1)
			{
				keep_waiting = TRUE;
				if (!pinged)
				{
					/* !PING! Hey you still have edits running! */
					BEEP_MESSAGE("Edits are still running... - cannot quit");
					pinged = TRUE;
				}
				sleep(0);
			}
	}
	/* lose any Tempdir files left over */
	sprintf(system_command,"/bin/rm -fr %s >/dev/null 2>&1", Tempdir);
	system(system_command);

	/* make sure we kleen up */
	key = k_abortpushButton;
	apply_abort_callback(Widget_list[k_abortpushButton],&key,
		(XmPushButtonCallbackStruct *)0);
	exit(0);
}
