#ifndef	lint
static char sccsid[] = "$Id: fill_it_in.c,v 1.1 1995/01/24 05:16:42 sydd Exp $ SyddWare";
#endif
/*****************************************************************************
* Classification:    Unclassified
*
* Project:           SDRTOOL
*
* Module Name:       fill_it_in.c
*
* Description:
*   
*
* Calling Sequence:
*   
*
*   Inputs:
*       None
*
*   Outputs:
*       None
*
*   Returns:
*       None
*
* Interprocess Communications
*   Sends:
*       None
*
*   Receives:
*       None
*
* Error Conditions and Actions:
*   N/A
*
* Side Effects:
*   N/A
*
* Limitations:
*   N/A
*
* Notes:
*   N/A
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
*
******************************************************************************/
#include <Xm/Xm.h>
#include "sdr_.h"
#include "sdr_g.h"
#include "sdrtags.h"

void	fill_it_in(sdr)
	SDR_T *sdr;
{
    int which_toggle, icnt;
    char tempstring[20];
    XmString origstring;
    if (Widget_list[ k_idtextField ])
        XmTextFieldSetString(
            Widget_list[ k_idtextField ],
            (*sdr).id[1]);
    if (Widget_list[k_masteriddrawnButton])
    {
        sprintf(tempstring,"Orig #: %s",(*sdr).id[0]);
        origstring = XmStringCreateLtoR(tempstring,
            XmFONTLIST_DEFAULT_TAG);
        XtVaSetValues(Widget_list[k_masteriddrawnButton],
            XmNlabelString, origstring, NULL);
        XmStringFree(origstring);
    }
    if (Widget_list[k_catiddrawnButton])
    {
        sprintf(tempstring,"Perm #: %s", (*sdr).id[1]);
        origstring = XmStringCreateLtoR(tempstring,
            XmFONTLIST_DEFAULT_TAG);
        XtVaSetValues(Widget_list[k_catiddrawnButton],
            XmNlabelString, origstring, NULL);
        XmStringFree(origstring);
    }
    if (Widget_list[k_priorityscale])
	{
		if ((*sdr).priority  < 1 || 5 < (*sdr).priority)
			(*sdr).priority = 3;
        XmScaleSetValue( Widget_list[ k_priorityscale ],
            (int) (*sdr).priority );
	}
    if (Widget_list[k_titletextField])
        XmTextFieldSetString( Widget_list[ k_titletextField ],
            (*sdr).title );
    if (!strcmp((*sdr).cpc_mnemonic , "ST") &&
        Widget_list[k_softtoggleButton] )
    {
        XtVaGetValues(Widget_list[ k_softtoggleButton ], XmNuserData,
                    &icnt, NULL);
        XtVaSetValues(Widget_list[ k_softtoggleButton ], XmNuserData,
                        1, NULL) ;
        XmToggleButtonSetState(Widget_list[ k_softtoggleButton ],
                True, True );
        for (icnt = 1; CPC_table[icnt].name; icnt++)
        {
            if (!strcmp(CPC_table[icnt].name, (*sdr).trouble_area))
            {
                if (CPC_table[icnt].widgee)
                    XmToggleButtonSetState(CPC_table[icnt].widgee,
                        True, True);
                if (Widget_list[k_styperadioBox])
                    XtVaSetValues(Widget_list[k_styperadioBox], XmNuserData,
                        icnt, NULL);
                break;
            }
        }
    }
    else if (!strcmp((*sdr).cpc_mnemonic , "HT") &&
        Widget_list[k_hardtoggleButton] )
    {
        XtVaGetValues(Widget_list[ k_hardtoggleButton ], XmNuserData,
                    &icnt, NULL);
        XtVaSetValues(Widget_list[ k_hardtoggleButton ], XmNuserData,
                        1, NULL) ;
        XmToggleButtonSetState(Widget_list[ k_hardtoggleButton ],
                True, True );
        for (icnt = 1; hardware_table[icnt].name; icnt++)
        {
            if (!strcmp(hardware_table[icnt].name, (*sdr).trouble_area))
            {
                if (hardware_table[icnt].widgee)
                    XmToggleButtonSetState(hardware_table[icnt].widgee,
                        True, True);
                if (Widget_list[k_htyperadioBox])
                    XtVaSetValues(Widget_list[k_htyperadioBox], XmNuserData,
                        icnt, NULL);
                break;
            }
        }
    }
    else if (!strcmp((*sdr).cpc_mnemonic , "DT") &&
        Widget_list[k_documenttoggleButton] )
    {
        XtVaGetValues(Widget_list[ k_documenttoggleButton ], XmNuserData,
                    &icnt, NULL);
        XtVaSetValues(Widget_list[ k_documenttoggleButton ], XmNuserData,
                        1, NULL) ;
        XmToggleButtonSetState(Widget_list[ k_documenttoggleButton ],
                True, True );
        for (icnt = 1; document_table[icnt].name; icnt++)
        {
            if (!strcmp(document_table[icnt].name, (*sdr).trouble_area))
            {
                if (document_table[icnt].widgee)
                    XmToggleButtonSetState(document_table[icnt].widgee,
                        True, True);
                if (Widget_list[k_dtyperadioBox])
                    XtVaSetValues(Widget_list[k_dtyperadioBox], XmNuserData,
                        icnt, NULL);
                break;
            }
        }
    }
    else if (!strcmp((*sdr).cpc_mnemonic , "TT") &&
        Widget_list[k_tooltoggleButton] )
    {
        XtVaGetValues(Widget_list[ k_tooltoggleButton ], XmNuserData,
                    &icnt, NULL);
        XtVaSetValues(Widget_list[ k_tooltoggleButton ], XmNuserData,
                        1, NULL) ;
        XmToggleButtonSetState(Widget_list[ k_tooltoggleButton ],
                True, True );
        if (Widget_list[ k_tooltextField ])
            XmTextFieldSetString( Widget_list[ k_tooltextField ],
                (*sdr).trouble_area );
    }
    else if (!strcmp((*sdr).cpc_mnemonic , "VT") &&
        Widget_list[k_vendortoggleButton] )
    {
        XtVaGetValues(Widget_list[ k_vendortoggleButton ], XmNuserData,
                    &icnt, NULL);
        XtVaSetValues(Widget_list[ k_vendortoggleButton ], XmNuserData,
                        1, NULL) ;
        XmToggleButtonSetState(Widget_list[ k_vendortoggleButton ],
                True, True );
        for (icnt = 1; vendor_table[icnt].name; icnt++)
        {
            if (!strcmp(vendor_table[icnt].name, (*sdr).trouble_area))
            {
                if (vendor_table[icnt].widgee)
                    XmToggleButtonSetState(vendor_table[icnt].widgee,
                        True, True);
                if (Widget_list[k_vtyperadioBox])
                    XtVaSetValues(Widget_list[k_vtyperadioBox], XmNuserData,
                        icnt, NULL);
                break;
            }
        }
    }
    else if (!strcmp((*sdr).cpc_mnemonic , "UT") &&
        Widget_list[ k_unknowntoggleButton ])
        XmToggleButtonSetState(Widget_list[ k_unknowntoggleButton ],
                True, True );
    switch ((*sdr).status)
    {
        case ASSESS:
            which_toggle = k_assesstoggleButton;
            break;

        case ASSIGNED:
            which_toggle = k_assignedtoggleButton;
            break;

        case CCB2:
            which_toggle = k_ccb2toggleButton;
            break;

        case RESOLVED:
            which_toggle = k_resolvedtoggleButton;
            break;

        case REJECTED:
            which_toggle = k_rejectedtoggleButton;
            break;

        case CMEVAL:
            which_toggle = k_cmevaltoggleButton;
            break;

        case PROMOTE:
            which_toggle = k_promotetoggleButton;
            break;

        default:
        case NEW_CCB1:
            which_toggle = k_newtoggleButton;
            (*sdr).status = NEW_CCB1;  /* force it */
            break;
    }
    if (Widget_list[ which_toggle ])
        XmToggleButtonSetState(
            Widget_list[ which_toggle ],
            True, True );
    if (Widget_list[ k_originatortextField ])
        XmTextFieldSetString(
            Widget_list[ k_originatortextField ],
            (*sdr).originator);
    if (Widget_list[ k_assignedtextField ])
        XmTextFieldSetString(
            Widget_list[ k_assignedtextField ],
            (*sdr).assigned_to );
    if (Widget_list[ k_threadtextField ])
        XmTextFieldSetString(
            Widget_list[ k_threadtextField ],
            (*sdr).thread );
    sprintf(tempstring,"%3lu.%.2lu",
        (unsigned long)((*sdr).hours / (unsigned long)100),
        (unsigned long)((*sdr).hours % (unsigned long)100));
    if (Widget_list[ k_hourstextField ])
        XmTextFieldSetString(
            Widget_list[ k_hourstextField ],
            tempstring);
    if (Widget_list[ k_hourstextField ])
        XtVaSetValues(Widget_list[ k_hourstextField ],
            XmNuserData,
            strlen(tempstring)-3, NULL);
    if (Widget_list[ k_originatedatetextField ])
        XmTextFieldSetString(
            Widget_list[ k_originatedatetextField ],
            (*sdr).originated);
    if (Widget_list[ k_assigndatetextField ])
        XmTextFieldSetString(
            Widget_list[ k_assigndatetextField ],
            (*sdr).assigned);
    if (Widget_list[ k_duedatetextField ])
        XmTextFieldSetString(
            Widget_list[ k_duedatetextField ],
            (*sdr).due);
    if (Widget_list[ k_closedatetextField ])
        XmTextFieldSetString(
            Widget_list[ k_closedatetextField ],
            (*sdr).closed);
	color_buttons((char *)(*sdr).id[0]);
	return;
}
