#ifndef	lint
static char sccsid[] = "$Id: get_username.c,v 1.1 1995/01/24 05:16:42 sydd Exp $ SyddWare";
#endif
/*****************************************************************************
* Classification:    Unclassified
*
* Project:           SDRTOOL
*
* Module Name:       get_username.c
*
* Description:
*   
*
* Calling Sequence:
*   
*
*   Inputs:
*       None
*
*   Outputs:
*       None
*
*   Returns:
*       None
*
* Error Conditions and Actions:
*   N/A
*
* Side Effects:
*   N/A
*
* Limitations:
*   N/A
*
* Notes:
*   N/A
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
*
* 04/05/94  J.R.(Sydd)Souza  T00000 - Placed Under CM Control
******************************************************************************/
#include <string.h>
#include <errno.h>
#include <pwd.h>
#include <sys/types.h>

/*
**	non-ANSI Prototypes
*/
uid_t   getuid ( void  );
struct passwd *getpwuid ( int uid  );

int	get_username(char *username)
{
	struct	passwd	*user;
	uid_t			uid = getuid();
	
	user = getpwuid(uid);
	if (username)
	{
		strcpy(username,user->pw_name);
		return 0;
	}
	else
	{
		errno = EINVAL;
		return EINVAL;
	}
}
