#ifndef	lint
static char sccsid[] = "$Id: isvalidid.c,v 1.1 1995/01/24 05:16:42 sydd Exp $ SyddWare";
#endif
/*****************************************************************************
* Classification:    Unclassified
*
* Project:           SDRTOOL
*
* Module Name:       isvalidid.c
*
* Description:
*   
*
* Calling Sequence:
*   
*
*   Inputs:
*       None
*
*   Outputs:
*       None
*
*   Returns:
*       None
*
* Error Conditions and Actions:
*   N/A
*
* Side Effects:
*   N/A
*
* Limitations:
*   N/A
*
* Notes:
*   N/A
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
*
******************************************************************************/
#include <Xm/Xm.h>
#include "sdr_.h"
#include "sdrtags.h"
BOOLEAN	isvalidid(id)
	ID_CODE_T	id;
{
	if (strlen(id) == (sizeof(ID_CODE_T) - 1) &&
		isalpha(id[0]) && s_isdigit(&id[1]))
	{
		switch (toupper(id[0]))
		{
			case DOCUMENTATION_PREFIX:
			case HARDWARE_PREFIX:
			case ORIGINAL_PREFIX:
			case SOFTWARE_PREFIX:
			case TOOL_PREFIX:
			case VENDOR_PREFIX:
				return TRUE;

			default:
				/* bad character, sorry - !PING! */
				return FALSE;
		}
	}
	else
	{
		/* bad format, sorry - !PING! */
		return FALSE;
	}
}
