#ifndef	lint
static char sccsid[] = "@(#)secondword.c	1.1 3/1/94 SyddWare";
#endif
/*****************************************************************************
* Classification:  Unclassified
*
* Project:         SyddWare
*
* Module Name:     secondword.c
*
* Description:     
*
* Arguments:       
*
* Returns:         
*
* Revision History
*   DATE    S/W ENGINEER  DESCRIPTION OF WORK
* --------  ------------  ---------------------------------------------------
*
******************************************************************************/
/*#  Purpose:  Returns a value equal to the position of the secondword in   #*/
/*#     string src if string find is the 2nd word in src, otherwise -1 is   #*/
/*#     returned. E.G: stat = secondword("   hello there sailor","there");  #*/
/*#     returns 9 and  stat = firstword("eat at joes","eat"); returns -1.   #*/
/*#     The program skips over leading whitespace in string src, then       #*/
/*#     skips non-whitespace (the first word), then all whitespace          #*/
/*#     before comparing.  Leading whitespace in string find is not         #*/
/*#     ignored.                                                            #*/
/*#                                                                         #*/
/*#  Calling Sequence:  stat = secondword(src,find);                        #*/
/*#                                                                         #*/
/*#  Arguments:                                                             #*/
/*#  Name             Type     I/O  Description                             #*/
/*#  ---------------  -------  ---  --------------------------------------  #*/
/*#  stat             int       O   Pos in src of beginning of t (relative  #*/
/*#                                  to 0 offset) if find is the 2nd word in#*/
/*#                                  src (after leading whitespace) other-  #*/
/*#                                  wise stat is set to -1                 #*/
/*#  src              char *    I   Sentence in which 2ndword check is      #*/
/*#                                  sought                                 #*/
/*#  find             char *    I   Word (or string) which is compared to   #*/
/*#                                  the  2nd  non whitespace string in src #*/
/*#                                                                         #*/
#include	"generi_.h"
int    secondword(src,find)
   char    src[],find[];
{
   int     icnt,jcnt,kcnt;

   for (icnt = 0; src[icnt] != '\0' && 
       (src[icnt] == ' ' || src[icnt] == 9); ++icnt);
   for (; src[icnt] != '\0' && (src[icnt] != ' ' && src[icnt] != 9); ++icnt);
   for (; src[icnt] != '\0' && (src[icnt] == ' ' || src[icnt] == 9); ++icnt);
   for (jcnt = icnt, kcnt = 0; find[kcnt] != '\0' && 
       src[jcnt] == find[kcnt]; ++jcnt, ++kcnt);
   if (find[kcnt] == '\0')
       return(icnt);
   else
       return(-1);
}
