#ifndef	lint
static char sccsid[] = "@(#)truncins.c	1.1 3/1/94 SyddWare";
#endif
/*****************************************************************************
* Classification:  Unclassified
*
* Project:         SyddWare
*
* Module Name:     truncins.c
*
* Description:     
*
* Arguments:       
*
* Returns:         
*
* Revision History
*   DATE    S/W ENGINEER  DESCRIPTION OF WORK
* --------  ------------  ---------------------------------------------------
*
******************************************************************************/
/*#  Purpose: The following describes the routines in this file:            #*/
/*#  s_insert - This routine s_inserts string ins at the beginning of string#*/
/*#     str, shifting str to the right as many characters as is needed.     #*/
/*#  s_truncate - Truncates num bytes off the front of string str. Strings  #*/
/*#      must be <= 255 characters & null terminated.  If num > strlen(str) #*/
/*#      then str becomes a null string.                                    #*/
/*#                                                                         #*/
/*#  Calling Sequence: icnt = s_truncate(tstr,num);                         #*/
/*#                    status = s_insert(istr,ins);                         #*/
/*#                                                                         #*/
/*#  Arguments:                                                             #*/
/*#  Name             Type     I/O  Description                             #*/
/*#  ---------------  -------  ---  --------------------------------------  #*/
/*#  icnt             int       O   TRUE if trucated successfully, FALSE    #*/
/*#                                 if s being returned is null string      #*/
/*#  tstr             char *   I/O  String to be shifted left by x bytes.   #*/
/*#  num              int       I   Number of bytes to s_truncate off the   #*/
/*#                                 front of string s.                      #*/
/*#  status           int       O   Always TRUE                             #*/
/*#  istr             char *   I/O  string to be shifted strlen(ins) chars  #*/
/*#  ins              char *    I   string to be s_inserted into the begin- #*/
/*#                                 ning of str                             #*/
/*#                                                                         #*/
#include	"generi_.h"
BOOLEAN	s_truncate(tstr,num)
   char    *tstr;
   int     num;
{
   int     icnt;
 
   if (strlen(tstr) <= num)
   {
       *tstr = 0;
       return(FALSE);
   }
   else
   {
       for (icnt = 0; *(tstr+icnt) != '\0'; ++icnt)
           *(tstr+icnt) = *(tstr+icnt+num);
       return(TRUE);
   }
}
/*******************************************************/
BOOLEAN	s_insert(istr,ins)
   char    istr[];
   char    ins[];
{
/*
   Inserts ins string into istr right at beginning
*/
   int     icnt,ilen,slen;

   slen = strlen(istr);
   ilen = strlen(ins);
   for (icnt=slen;icnt>=0;--icnt)
       istr[icnt+ilen] = istr[icnt];
   for (icnt=0;icnt<ilen;++icnt)
       istr[icnt] = ins[icnt];
   return (TRUE);
}

