
#if defined(__CLCC__) && defined(__STDC__)
#   pragma Warning_level(0)
#endif
#include <X11/Xlib.h>
#include <Mrm/MrmAppl.h>
#if defined(__CLCC__) && defined(__STDC__)
#   pragma Warning_level(4)
#endif

struct  CPC_NAME_STRUCT
{
    char *mnemonic;
    char *name;
    Widget  widgee;
} ods_CPC_table[]
= {
    { "00", "Unknown", (Widget)0 },

	{ "10", "baseline", (Widget)0 },
	{ "11", "cots", (Widget)0 },
	{ "12", "cots/bin", (Widget)0 },
	{ "13", "cots/inc", (Widget)0 },
	{ "14", "cots/lib", (Widget)0 },
	{ "15", "cots/src", (Widget)0 },
	{ "16", "database", (Widget)0 },
	{ "17", "jukebox", (Widget)0 },
	{ "18", "kits", (Widget)0 },
	{ "19", "kits/kit04", (Widget)0 },
	{ "20", "kits/kit04/app-defaults", (Widget)0 },
	{ "21", "kits/kit04/bin", (Widget)0 },
	{ "22", "kits/kit04/installed", (Widget)0 },
	{ "23", "kits/kit04/odf", (Widget)0 },
	{ "24", "kits/kit04/odf/SCCS", (Widget)0 },
	{ "25", "kits/kit04/odf/bin", (Widget)0 },
	{ "26", "kits/kit04/odf/das", (Widget)0 },
	{ "27", "kits/kit04/odf/help", (Widget)0 },
	{ "28", "kits/kit04/odfax", (Widget)0 },
	{ "29", "kits/kit04/odfax/SCCS", (Widget)0 },
	{ "30", "kits/kit04/odfax/bin", (Widget)0 },
	{ "31", "kits/kit04/odfax/das", (Widget)0 },
	{ "32", "kits/kit04/ods", (Widget)0 },
	{ "33", "kits/kit04/ods/SCCS", (Widget)0 },
	{ "34", "kits/kit04/ods/bin", (Widget)0 },
	{ "35", "kits/kit04/ods/das", (Widget)0 },
	{ "36", "kits/kit04/ods/data", (Widget)0 },
	{ "37", "kits/kit04/ods/data/fax_in", (Widget)0 },
	{ "38", "kits/kit04/ods/data/input", (Widget)0 },
	{ "39", "kits/kit04/ods/data/input/fax_1", (Widget)0 },
	{ "40", "kits/kit04/ods/data/input/scan_1", (Widget)0 },
	{ "41", "kits/kit04/ods/data/input/scan_2", (Widget)0 },
	{ "42", "kits/kit04/ods/data/tmp", (Widget)0 },
	{ "43", "kits/kit04/ods/data/working_pkgs", (Widget)0 },
	{ "44", "kits/kit04/ods/data/working_pkgs/split", (Widget)0 },
	{ "45", "kits/kit04/startup", (Widget)0 },
	{ "46", "lib", (Widget)0 },
	{ "47", "make", (Widget)0 },
	{ "48", "ods", (Widget)0 },
	{ "49", "ods/bin", (Widget)0 },
	{ "50", "ods/common", (Widget)0 },
	{ "51", "ods/common/inc", (Widget)0 },
	{ "52", "ods/common/src", (Widget)0 },
	{ "53", "ods/data", (Widget)0 },
	{ "54", "ods/data/samples", (Widget)0 },
	{ "55", "ods/deadline", (Widget)0 },
	{ "56", "ods/deadline/inc", (Widget)0 },
	{ "57", "ods/deadline/src", (Widget)0 },
	{ "58", "ods/env", (Widget)0 },
	{ "59", "ods/env/src", (Widget)0 },
	{ "60", "ods/fax", (Widget)0 },
	{ "61", "ods/fax/inc", (Widget)0 },
	{ "62", "ods/fax/src", (Widget)0 },
	{ "63", "ods/help", (Widget)0 },
	{ "64", "ods/hmi", (Widget)0 },
	{ "65", "ods/hmi/inc", (Widget)0 },
	{ "66", "ods/hmi/src", (Widget)0 },
	{ "67", "ods/image_dm", (Widget)0 },
	{ "68", "ods/image_dm/inc", (Widget)0 },
	{ "69", "ods/image_dm/src", (Widget)0 },
	{ "70", "ods/odf_appse", (Widget)0 },
	{ "71", "ods/odf_appse/inc", (Widget)0 },
	{ "72", "ods/odf_appse/matrix", (Widget)0 },
	{ "73", "ods/odf_appse/src", (Widget)0 },
	{ "74", "ods/ods_iprint", (Widget)0 },
	{ "75", "ods/ods_iprint/inc", (Widget)0 },
	{ "76", "ods/ods_iprint/src", (Widget)0 },
	{ "77", "ods/skel", (Widget)0 },
	{ "78", "ods/skel/inc", (Widget)0 },
	{ "79", "ods/skel/src", (Widget)0 },
	{ "80", "ods/sockets", (Widget)0 },
	{ "81", "ods/sockets/inc", (Widget)0 },
	{ "82", "ods/sockets/src", (Widget)0 },
	{ "83", "ods/tools", (Widget)0 },
	{ "84", "ods/tools/inc", (Widget)0 },
	{ "85", "ods/tools/src", (Widget)0 },
	{ "86", "ods/ui_dm", (Widget)0 },
	{ "87", "ods/ui_dm/inc", (Widget)0 },
	{ "88", "ods/ui_dm/src", (Widget)0 },
	{ "89", "resources", (Widget)0 },
	{ "90", "sloc_count", (Widget)0 },
	{ "91", "sys", (Widget)0 },
	{ (char *)0, (char *)0, (Widget)0 }
};



struct  VENDOR_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} ods_vendor_table[]
= {
	{ "Unknown", (Widget)0 },

	{ "General COTS/Vender Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };



struct DOCUMENT_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} ods_document_table[]
= {
    { "Unknown", (Widget)0 },

	{ "General Documentation Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };



struct HARDWARE_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} ods_hardware_table[]
= {
    { "Unknown", (Widget)0 },

	{ "General Hardware Problem (no list defined)", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };


