>>==- -==<<

Ok The next step is to setup the database: this is the Informix Version.

Now cd to the informix subdirectory under the sdrtool dir.  There you'll
find files named something like create.<projname>_sdrs.tbl.sql and a
script called mk_informix.  Simply run the following command there:

mk_informix <projname> > create.<projname>_sdrs.tbl.sql

(Of course you should replace <projname> with your project name).

Now to actually create the table, you must be on porky.  Simply
type this (again, replace <projname>):

dbaccess sdrtool_db < create.<projname>_sdrs.tbl.sql

To test it, try this:

echo "select * from <projname>_sdrs" | dbaccess sdrtool_db

You should get this if it fails:


  206: The specified table (<projname>_sdrs) is not in the database.

  111: ISAM error:  no record found.
Error in line 1
Near character position 25


You should get this if it was created successfully:



No rows found.


>>==- -==<<

Now, you need to setup the sdrtool working path and scripts.
To do this, use the setup.SDRPATH script in the sdrtool/setup directory.
You need to decide where the SDRTool text files and scripts are to
reside.  This can be anywhere accessible by all users intended to
use the tool, for example, /cm/<projname>/sdr.  You want to setup a
separate one for every project, so it's best to locate it somewhere
under the project tree, but not so obvious a place to invite snooping.
The script above needs to be run in the same directory as the script
files it installs.  You also need to decide on the base path for the CM
tree and the same for the development side.  The CM tree is where the
controlled code will live, the development tree where users make changes
that ultimately get turned over into the CM tree.  The script also takes
an optional parameter: the name of the subdirectory (and indirectly the
revision control tool to be used) where the configuration control
files will reside, typically RCS or SCCS.  RCS is used if none is
supplied.  Here's an example usage:

cd setup
./setup.SDRPATH /cm/<projdir>/sdr /cm/<projname> /devel/<projname> RCS

>>==- -==<<

Make sure the paths you chose to be the CM and Development home trees
exist and the appropriate SCCS or RCS top level directory already
exists as well, before attempting to use the validate/perform_turnover
scripts.

>>==- -==<<

