/*****************************************************************************
* @(#)discrep_rep_cl_indx.sql	1.2 4/26/94 GTE Government Systems Corp.
*
* Classification:  UNCLASSIFIED       
*
* Project:         CHAMITE
*
* Index Name:      discrep_rep_cl_indx.sql
*
* Description:     
*   This code creates a clustered index on the 
*   DESCREP_REP table.  
*
* Notes:           
*
*   See the Transact_SQL User's Guide on creating clustered indexes.
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
* 09-22-93  R.K.Montgomery   Initial coding 
******************************************************************************/
create unique clustered index DISCREP_REP_CL_U

on DISCREP_REP(NORMAL_ID)
