create database sdrtool_db;

create table DISCREP_REP    
(NORMAL_ID        char(6)  unique not null,
 ASSIGNED_ID      char(6)  unique not null,
 TITLE            varchar(50)  not null,
 STATUS           smallint     not null,
 PRIORITY         smallint     not null,
 ORIGIN_DATE      datetime year to minute,
 ORIGINATOR       varchar(25)    not null,
 ASSIGN_DATE      datetime year to minute,
 ASSIGNED_TO      varchar(25)        null,
 DUE_DATE         datetime year to minute,
 CLOSE_DATE       datetime year to minute,
 CPC              char(2)        not null,
 THREAD           varchar(30)        null,
 TIME_TO_COMPLETE int                null,
 TRANSITION_DATE  datetime year to minute,
 TROUBLE_AREA     varchar(75)    not null
);
