#ifndef	lint
static char rcsid[] = "$Id: mail_me_one.c,v 1.3 1995/03/06 03:25:24 sydd Exp $ SyddWare";
#endif
/*****************************************************************************
* Classification:    Unclassified
*
* Project:           SDRTOOL
*
* Module Name:       mail_me_one.c
*
* Description:
*   
*
* Calling Sequence:
*   
*
*   Inputs:
*       None
*
*   Outputs:
*       None
*
*   Returns:
*       None
*
* Error Conditions and Actions:
*   N/A
*
* Side Effects:
*   N/A
*
* Limitations:
*   N/A
*
* Notes:
*   N/A
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
*
******************************************************************************/
#include "sdr_.h"

/*
**	HOLES:	rootpath of files - make sure it's always done the same way
*/

void
mail_me_one(w, which_one, call)
	Widget w;
	int *which_one;
	XmPushButtonCallbackStruct *call;
{
    XtPointer	idvalid = (XtPointer)0;
	char		*this_id = (char *)0;
	char		*lockname = (char *)0;
	char		*subjectline = (char *)0;
	char		*toline = (char *)0;
	int			totag;
	BOOLEAN		it_is_new;
	STATUS_T	previous_state;
	SDR_T		sdr;

	cursor_mgmt(XtParent(w), TRUE);
	/*
	**	Now obtain all field values into sdr & mail it if successful
	*/
	XtVaGetValues( Widget_list[k_idtextField],
    	XmNuserData, &idvalid,
        NULL);
	this_id = XmTextFieldGetString(Widget_list[ k_idtextField ]);

	subjectline = XmTextFieldGetString(Widget_list[ k_subjecttextField ]);

	toline = XmTextFieldGetString(Widget_list[ k_totextField ]);

	if (idvalid &&
		!emptyline(this_id) &&
		isvalidid(this_id) &&
		!emptyline(toline))
	{
		if (!extract_from_window(&sdr,&it_is_new,&previous_state,&lockname))
		{
			cursor_mgmt(XtParent(w), TRUE);
			notify_user(toline, &sdr, subjectline);
			cursor_mgmt(XtParent(w), FALSE);
		}
		else
		{
			XtVaSetValues( Widget_list[k_idtextField],
    			XmNuserData, FALSE,
        		NULL);
			BEEP_MESSAGE("Choose an SDR first");
		}
		if (lockname)
			unlock_idfile(lockname);
	}
	else
	{
		XtVaSetValues( Widget_list[k_idtextField],
    		XmNuserData, FALSE,
        	NULL);
		BEEP_MESSAGE("Choose an SDR first and/or recipient(s)");
	}
	totag = k_senditpushButton;
	(void) value_changed_callback(Widget_list[k_senditpushButton],
		&totag,
		(XmAnyCallbackStruct *)call);
	cursor_mgmt(XtParent(w), FALSE);
	return;
}
