#ifndef	lint
static char sccsid[] = "$Id: notify_user.c,v 1.1 1995/01/24 05:16:42 sydd Exp $ SyddWare";
#endif
/*****************************************************************************
* Classification:    Unclassified
*
* Project:           SDRTOOL
*
* Module Name:       notify_user.c
*
* Description:
*   
*
* Calling Sequence:
*   
*
*   Inputs:
*       None
*
*   Outputs:
*       None
*
*   Returns:
*       None
*
* Error Conditions and Actions:
*   N/A
*
* Side Effects:
*   N/A
*
* Limitations:
*   N/A
*
* Notes:
*   N/A
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
*
******************************************************************************/
#include "sdr_.h"

BOOLEAN	notify_user(users, sdr, subject)
	char *users;
	SDR_T *sdr;
	char *subject;
{
	FILE	*mailfile = (FILE *)0;
	char	*argv[15];
	int		icnt;
	pid_t	process_pid;
	char	mailmessage[L_tmpnam];
	char	mailcommand[256];

	sprintf(mailcommand,"%s/.mail_me_one",SdrTool.sdrpath);
	if (users && sdr && subject &&
		!access(mailcommand, NOTEXECUTABLE) &&
		tmpnam(mailmessage) &&
		(mailfile = fopen(mailmessage,"w")))
	{
		printsdr(sdr,mailfile);
		fclose(mailfile);

		icnt = 0;
		argv[icnt++] = "/bin/sh";
		argv[icnt++] = mailcommand;
		argv[icnt++] = mailmessage;
		argv[icnt++] = users;
		argv[icnt++] = subject;
		argv[icnt++] = (char *)0;

		/*
		**	Fork off an exact copy of this process - the copy will gain control
		**	from where the fork command left off with commsproc_id set to 0
		**	(meaning it's the child).  The original parent will get back a
		**	pid > 0
		*/
		switch ( process_pid = fork ())
		{
	    	case -1: 
				errno = ENOEXEC;
				return errno;
				/* break; */

	    	case 0: 
				/*
				**	Forked process gains control of the process here, so
				**	exec the real process (control will not return from the
				**	exec call unless it fails).
				*/
				errno = ESRCH; /* for lack of anything better */
				execvp (argv[0], argv);
				perror ("Return from execvp");
				/* no-one to return to so just terminate */
				exit(errno);
				/* break; */

	    	default: 
				/* parent regains control here */
				break;
		}
		return FALSE;
	}
	else
	{
		/* !PING! cannot make temp file */
		BEEP_MESSAGE("Sorry, could not make the mail message");
		return TRUE;
	}
}
