
#if defined(__CLCC__) && defined(__STDC__)
#   pragma Warning_level(0)
#endif
#include <X11/Xlib.h>
#include <Mrm/MrmAppl.h>
#if defined(__CLCC__) && defined(__STDC__)
#   pragma Warning_level(4)
#endif

struct  CPC_NAME_STRUCT
{
    char *mnemonic;
    char *name;
    Widget  widgee;
} sdrtool_CPC_table[]
= {
    { "00", "Unknown", (Widget)0 },

	{ "11", "C_source_&_include_files", (Widget)0 },
	{ "12", "UIL_source", (Widget)0 },
	{ "13", "Development_scripts", (Widget)0 },
	{ "14", "Support_scripts", (Widget)0 },
	{ "15", ".def_files", (Widget)0 },
	{ "16", "SQL_support_sources", (Widget)0 },
	{ (char *)0, (char *)0, (Widget)0 }
};



struct  VENDOR_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} sdrtool_vendor_table[]
= {
	{ "Unknown", (Widget)0 },

	{ "X11R5/6", (Widget)0 },
	{ "Linux", (Widget)0 },
	{ "ACC Corp. Inc. SWiM Motif 2.0", (Widget)0 },
	{ "GNU C Compiler", (Widget)0 },
	{ "Makefile", (Widget)0 },
	{ "Sybase", (Widget)0 },
	{ "Informix", (Widget)0 },
	{ "Oracle", (Widget)0 },
	{ "General COTS/Vender Problem", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };



struct DOCUMENT_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} sdrtool_document_table[]
= {
    { "Unknown", (Widget)0 },

	{ "Notes on SCCS", (Widget)0 },
	{ "Notes on RCS", (Widget)0 },
	{ "Notes on Informix", (Widget)0 },
	{ "Notes on Sybase", (Widget)0 },
	{ "Notes on C/UNIX", (Widget)0 },
	{ "Notes on app-defaults", (Widget)0 },
	{ "Notes on .def files", (Widget)0 },
	{ "Notes on X Window System or Motif", (Widget)0 },
	{ "Online Help", (Widget)0 },
	{ "User Guide", (Widget)0 },
	{ "Acknowledgements", (Widget)0 },
	{ "Manpage", (Widget)0 },
	{ "General Documentation Problem", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };



struct HARDWARE_NAME_STRUCT
{
    char *name;
    Widget  widgee;
} sdrtool_hardware_table[]
= {
    { "Unknown", (Widget)0 },

	{ "Zenon Technology Inc. Pentium 90MHz PC", (Widget)0 },
	{ "14 inch CTX 1562GM Color Monitor", (Widget)0 },
	{ "32 MB Memory", (Widget)0 },
	{ "810 MB Conner Peripherals Internal Disk Drive", (Widget)0 },
	{ "RS-232 Serial Ports - (2)", (Widget)0 },
	{ "5.25 inch 1.2MB HD A: /dev/fd0 Floppy Disk Drive", (Widget)0 },
	{ "3.5 inch 1.44MB HD B: /dev/fd1 Floppy Disk Drive", (Widget)0 },
	{ "Mitsumi Double Speed CD Rom Drive", (Widget)0 },
	{ "Practical Peripherals PM14400FXMT External Modem", (Widget)0 },
	{ "Stereo Speakers", (Widget)0 },
	{ "General Hardware Problem", (Widget)0 },
    {  (char *)0, (Widget)0 }
   };


